Bug 830113 - Review Request: rootfs-resize - Root partition re-sizing service for SD cards
Summary: Review Request: rootfs-resize - Root partition re-sizing service for SD cards
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaromír Cápík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-08 09:16 UTC by Chris Tyler
Modified: 2016-02-01 01:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:35:41 UTC
Type: ---
jcapik: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Tyler 2012-06-08 09:16:10 UTC
Spec URL: http://england/chris/rootfs-resize/rootfs-resize.spec
SRPM URL: http://england/chris/rootfs-resize/rootfs-resize-0.1-1.fc16.src.rpm
Description: 

rootfs-resize is a root partition and file system re-sizing service for ARM
systems running from SD cards.

Fedora Account System Username: ctyler

rpmlint output:

$ rpmlint rootfs-resize.spec ../SRPMS/rootfs-resize-0.1-1.fc16.src.rpm ../RPMS/noarch/rootfs-resize-0.1-1.fc16.noarch.rpm 
rootfs-resize.noarch: W: hidden-file-or-dir /.nofsresize
rootfs-resize.noarch: W: hidden-file-or-dir /.rootfs-resize
rootfs-resize.noarch: W: hidden-file-or-dir /.rootfs-repartition
rootfs-resize.noarch: W: no-manual-page-for-binary rootfs-resize
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Comment 1 Jaromír Cápík 2012-06-08 09:49:44 UTC
I'm taking this one ...

Comment 2 Jaromír Cápík 2012-06-08 10:04:43 UTC
Hi Chris.

The links are not reachable from here. Both URLs have to be placed to a publicly reachable server, usually fedorapeople.org.

Please fix that and let me know.

Jaromir.

Comment 4 Jaromír Cápík 2012-06-08 21:49:07 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[!]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[!]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.

  MD5SUM this package     : 6f097c6686d9dc8bf6439759051ec712
  MD5SUM upstream package : 6f097c6686d9dc8bf6439759051ec712

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     Note: The rootfs-resize script header doesn't contain the GPLv2+ license
     statement
See: None
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
[!]: MUST Package obeys FHS, except libexecdir and /usr/target.
     Note: The rootfs-resize script interpreter doesn't follow the "UsrMove"
     (#!/bin/bash -> #!/usr/bin/bash)
See: None


Final notes:
1. Please, remove all whitespaces at the end of lines (spec file)
2. Since the script can technically run on any architecture,
it would be wiser to change the package summary and description
to something more generic (architecture independent).
We don't want to exclude any architectures unless there's really
no way to make the software running on them.



Generated by fedora-review 0.1.3
External plugins:

Comment 5 Chris Tyler 2012-06-12 12:23:58 UTC
Thanks, Jaromír. I've addressed the issues identified. Updated spec/srpm:

Spec URL: http://england/chris/rootfs-resize/rootfs-resize.spec
SRPM URL: http://england/chris/rootfs-resize/rootfs-resize-0.2-1.fc16.src.rpm

Comment 8 Jaromír Cápík 2012-06-12 12:53:08 UTC
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.

=== Final Notes ===
1. Please, fix the version in the script header and README


================
*** APPROVED ***
================

Comment 9 Chris Tyler 2012-06-12 12:53:58 UTC
New Package SCM Request
=======================
Package Name: rootfs-resize
Short Description: Root partition re-sizing service for SD cards
Owners: ctyler
Branches: f17
InitialCC:

Comment 10 Gwyn Ciesla 2012-06-12 13:20:09 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2012-06-14 12:20:32 UTC
rootfs-resize-0.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rootfs-resize-0.3-2.fc17

Comment 12 Fedora Update System 2012-06-15 12:22:26 UTC
rootfs-resize-0.3-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 13 Fedora Update System 2012-10-03 01:06:43 UTC
rootfs-resize-0.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rootfs-resize-0.9-1.fc18

Comment 14 Fedora Update System 2012-10-03 01:06:57 UTC
rootfs-resize-0.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rootfs-resize-0.9-1.fc17

Comment 15 Fedora Update System 2012-12-20 15:35:43 UTC
rootfs-resize-0.9-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.